<!doctype html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="generator" content="Asciidoctor 2.0.23">
  <meta name="author" content="Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation">
  <link rel="icon" type="image/png" href="../favicon.png">
  <title>Eclipse ESCET perspective | Eclipse ESCET™ general toolkit documentation</title>
  <link rel="stylesheet" href="../assets/asciidoctor-escet-project.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="../assets/styles/asciidoctor-highlightjs-escet.min.css"><!--
  Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <meta name="robots" content="noindex">
  <script type="text/javascript" src="../assets/asciidoctor-escet-project.js"></script>
 </head>
 <body class="book toc2 toc-left" onload="onLoad()">
  <div id="header">
   <div id="toc" class="toc2">
    <p class="website-link">Part of: <a href="..">Eclipse ESCET™ website</a></p>
    <div id="toctitle">
     Eclipse ESCET™ general toolkit documentation
    </div>
    <ul class="sectlevel1">
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="../documentation.html">Home</a></li>
     <li class="toc-cur-page-ancestor toc-item toc-item-parent expanded">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="index.html">Using the Eclipse ESCET IDE</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="starting-first-time.html">Starting Eclipse ESCET IDE for the first time</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="update.html">Updating Eclipse ESCET IDE</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="remove.html">Removing Eclipse ESCET IDE</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="terminology.html">Eclipse terminology</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="terminology.html#eclipse-workspace">Eclipse workspace</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="terminology.html#eclipse-views">Eclipse views</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="terminology.html#opening-a-view">Opening a view</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="terminology.html#eclipse-projects">Eclipse projects</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="projects.html">Working with projects, directories, and files</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#creating-a-new-project">Creating a new project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#importing-an-existing-project">Importing an existing project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#removing-a-project-from-eclipse">Removing a project from Eclipse</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#creating-a-new-directory">Creating a new directory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#creating-a-new-file">Creating a new file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#renaming-a-file-directory-or-project">Renaming a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#locating-files-directories-and-projects">Locating files, directories, and projects</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#refreshing-a-file-directory-or-project">Refreshing a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#checking-the-size-of-a-file">Checking the size of a file</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="edit-exec.html">Editing files and executing commands</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="edit-exec.html#editing-a-text-file">Editing a text file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="edit-exec.html#executing-commands">Executing commands</a></li>
        </ul></li>
       <li class="toc-cur-page toc-item expanded">
        <div class="toc-item-marker"></div><a href="#">Eclipse ESCET perspective</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="apps-view.html">Applications view</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#opening-the-view">Opening the view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#application-status">Application status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#termination">Termination</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#removal">Removal</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#expansion">Expansion</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/index.html">Resolving performance and memory problems</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../performance/clear-console.html">Clearing the console</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../performance/reduce-console-output.html">Reducing console output</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/close-running-apps.html">Closing running applications</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/close-running-apps.html#application-management-via-the-applications-view">Application management via the applications view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/close-running-apps.html#application-management-via-the-console-view">Application management via the console view</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/tweak-perf-settings.html">Tweaking performance settings</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#quick-and-dirty-solution">Quick and dirty solution</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#managed-memory-and-garbage-collection">Managed memory and garbage collection</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#different-types-of-memory">Different types of memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#benefits-of-increasing-the-available-memory">Benefits of increasing the available memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#available-settings">Available settings</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/tweak-perf-settings.html#changing-memory-settings">Changing memory settings</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#miscellaneous-troubleshooting">Miscellaneous troubleshooting</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#practical-hints-to-solve-performance-and-memory-problems">Practical hints to solve performance and memory problems</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#monitoring-eclipse-heap-status">Monitoring Eclipse heap status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#monitoring-with-visualvm">Monitoring with VisualVM</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../tools/dsm-clustering.html">Design Structure Matrix (DSM) clustering</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#starting-the-clustering-tool">Starting the clustering tool</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#options">Options</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#dsm-file-format">DSM file format</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#computing-a-clustered-dsm">Computing a clustered DSM</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#bus-detection-algorithms">Bus detection algorithms</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#references">References</a></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../release-notes.html">Eclipse ESCET release notes</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-7-0">Version 7.0</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-6-0-2024-12-20">Version 6.0 (2024-12-20)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-5-0-2024-10-03">Version 5.0 (2024-10-03)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-4-0-2024-06-30">Version 4.0 (2024-06-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-3-0-2024-03-31">Version 3.0 (2024-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-2-0-2023-12-22">Version 2.0 (2023-12-22)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-1-0-2023-09-30">Version 1.0 (2023-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-10-2023-06-30">Version 0.10 (2023-06-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-9-2023-03-31">Version 0.9 (2023-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-8-2022-12-21">Version 0.8 (2022-12-21)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-7-2022-09-30">Version 0.7 (2022-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-6-2022-07-07">Version 0.6 (2022-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-5-2022-03-29">Version 0.5 (2022-03-29)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-4-2021-12-17">Version 0.4 (2021-12-17)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-3-2021-10-01">Version 0.3 (2021-10-01)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-2-2021-07-07">Version 0.2 (2021-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-1-2021-04-02">Version 0.1 (2021-04-02)</a></li>
      </ul></li>
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="../documentation-legal.html">Legal</a></li>
    </ul>
   </div>
  </div>
  <div id="content">
   <div id="breadcrumbs">
    <a class="breadcrumb" href="../documentation.html">Eclipse ESCET™ general toolkit documentation</a> &gt; <a class="breadcrumb" href="index.html">Using the Eclipse ESCET IDE</a> &gt; <span class="breadcrumb">Eclipse ESCET perspective</span>
   </div>
   <h2 id="eclipse-escet-perspective"><a class="anchor" href="#"></a>Eclipse ESCET perspective</h2>
   <div class="paragraph">
    <p>The layout of the different parts of the Eclipse ESCET IDE, including the position and size of the various <a href="terminology.html#eclipse-views">views</a>, can be configured per perspective. Different perspectives allow you to use different layouts for different tasks.</p>
   </div>
   <div class="paragraph">
    <p>The Eclipse ESCET IDE ships with some built-in perspectives. The default <em>ESCET</em> perspective is ideally suited for the use of the Eclipse ESCET software.</p>
   </div>
   <div class="paragraph">
    <p>You can manually open the <em>ESCET</em> perspective (or any other perspective), by selecting <span class="menuseq"><b class="menu">Window</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">Perspective</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">Open Perspective</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Other…​</b></span>. Then, in the <em>Open Perspective</em> dialog, select the <em>ESCET</em> perspective from the list, and click the <b class="button">OK</b> button.</p>
   </div>
   <div class="paragraph">
    <p>By default, the Eclipse ESCET IDE shows the opened perspectives at the top right corner of the IDE. Each perspective is a button that can be used to active it. If the button appears in a pushed state, that perspective is active. The following image shows an Eclipse ESCET IDE with two open perspectives: the <em>Resource</em> perspective and the <em>ESCET</em> perspective. The <em>ESCET</em> perspective is the currently enabled perspective.</p>
   </div>
   <div class="imageblock">
    <div class="content">
     <img src="perspectives.png" alt="perspectives">
    </div>
   </div>
   <div class="paragraph">
    <p>By default, the <em>ESCET</em> perspective shows the following views:</p>
   </div>
   <div class="ulist">
    <ul>
     <li>
      <p>Project explorer (top left)</p></li>
     <li>
      <p><a href="apps-view.html">Applications</a> (bottom left)</p></li>
     <li>
      <p>Problems (bottom, grouped)</p></li>
     <li>
      <p>Properties (bottom, grouped)</p></li>
     <li>
      <p>Console (bottom, grouped)</p></li>
    </ul>
   </div>
   <div class="paragraph">
    <p>You can manually <a href="terminology.html#opening-a-view">open</a> additional <a href="terminology.html#eclipse-views">views</a>, close some views, move views around, change the size of the different views, etc. If at any time you wish to go back to the original layout, you can reset the perspective, by selecting <span class="menuseq"><b class="menu">Window</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">Perspective</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Reset Perspective…​</b></span>. Click the <b class="button">OK</b> button to confirm.</p>
   </div>
   <div class="paragraph">
    <p>Whenever a new version changes the default layout of a perspective, for instance by adding a new default view, you can reset the perspective to get the new view, or you can <a href="terminology.html#opening-a-view">open</a> that view it manually.</p>
   </div>
  </div>
  <script src="../assets/highlight.min.js"></script>
  <script src="../assets/languages/asciidoc.min.js"></script>
  <script src="../assets/languages/bash.min.js"></script>
  <script src="../assets/languages/bnf.min.js"></script>
  <script src="../assets/languages/c.min.js"></script>
  <script src="../assets/languages/chi.min.js"></script>
  <script src="../assets/languages/cif.min.js"></script>
  <script src="../assets/languages/console.min.js"></script>
  <script src="../assets/languages/css.min.js"></script>
  <script src="../assets/languages/dsm.min.js"></script>
  <script src="../assets/languages/java.min.js"></script>
  <script src="../assets/languages/javascript.min.js"></script>
  <script src="../assets/languages/markdown.min.js"></script>
  <script src="../assets/languages/mcrl2.min.js"></script>
  <script src="../assets/languages/none.min.js"></script>
  <script src="../assets/languages/plcst.min.js"></script>
  <script src="../assets/languages/properties.min.js"></script>
  <script src="../assets/languages/python.min.js"></script>
  <script src="../assets/languages/raildiagram.min.js"></script>
  <script src="../assets/languages/setext.min.js"></script>
  <script src="../assets/languages/shell.min.js"></script>
  <script src="../assets/languages/tooldef.min.js"></script>
  <script src="../assets/languages/xml.min.js"></script>
  <script>
if (!hljs.initHighlighting.called) {
  hljs.initHighlighting.called = true
  ;[].slice.call(document.querySelectorAll('pre.highlight > code[data-lang]')).forEach(function (el) { hljs.highlightElement(el) })
}
</script>
  <script type="text/x-mathjax-config">
MathJax.Hub.Config({
  messageStyle: "none",
  tex2jax: {
    inlineMath: [["\\(", "\\)"]],
    displayMath: [["\\[", "\\]"]],
    ignoreClass: "nostem|nolatexmath"
  },
  asciimath2jax: {
    delimiters: [["\\$", "\\$"]],
    ignoreClass: "nostem|noasciimath"
  },
  TeX: { equationNumbers: { autoNumber: "none" } }
})
MathJax.Hub.Register.StartupHook("AsciiMath Jax Ready", function () {
  MathJax.InputJax.AsciiMath.postfilterHooks.Add(function (data, node) {
    if ((node = data.script.parentNode) && (node = node.parentNode) && node.classList.contains("stemblock")) {
      data.math.root.display = "block"
    }
    return data
  })
})
</script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/MathJax.js?config=TeX-MML-AM_HTMLorMML"></script><!--
  Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <div id="footer">
   <div id="footer-text">
    <span>Eclipse ESCET™ general toolkit documentation</span> | <span>Copyright (c) 2010, 2025 Contributors to the Eclipse Foundation</span> | <span>version nightly-20250306-101218</span>
    <br><a href="https://www.eclipse.org">Eclipse Home</a> | <a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a> | <a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a> | <a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a> | <a href="https://www.eclipse.org/legal">Eclipse Legal</a>
   </div>
  </div>
 </body>
</html>